import 'package:automated_testing_framework/widgets.dart';
import 'package:flutter/material.dart';
import 'package:json_dynamic_widget/json_dynamic_widget.dart';

class FullWidgetPage extends StatelessWidget {
  FullWidgetPage({
    Key? key,
    required this.data,
  }) : super(key: key);

  final JsonWidgetData data;

  @override
  Widget build(BuildContext context) => Testable(
        id: 'full_page',
        child: data.build(
          childBuilder: (context, widget) {
            var result = widget;

            var id = widget.key?.toString();

            // Autogenerated ID's are UUID's with four segments separated by
            // dashes.  Manually entered ones use underscores.  So this removes
            // the autogenerated ID's.
            if (id?.isNotEmpty == true && id?.contains('-') != true) {
              result = Testable(
                id: widget.key.toString(),
                child: result,
              );
            }

            return result;
          },
          context: context,
        ),
      );
}
